"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
require("core-js/modules/es.array.splice.js");
var _sdk = require("@formio/js/sdk");
var app = angular.module('formio');

// Configure the formioInterceptor. to be used.
app.config(['$httpProvider', '$injector', function ($httpProvider, $injector) {
  if (!$httpProvider.defaults.headers.get) {
    $httpProvider.defaults.headers.get = {};
  }

  // Make sure that ngAnimate doesn't mess up loader.
  try {
    $injector.get('$animateProvider').classNameFilter(/^((?!(fa-spinner|glyphicon-spin)).)*$/);
  }
  /* eslint-disable no-empty */ catch (err) {}
  /* eslint-enable no-empty */

  // Disable IE caching for GET requests.
  $httpProvider.defaults.headers.get['Cache-Control'] = 'no-cache';
  $httpProvider.defaults.headers.get.Pragma = 'no-cache';
  $httpProvider.interceptors.push('formioInterceptor');
}]);
var _default = exports.default = app.provider('Formio', function () {
  // Return the provider interface.
  return {
    // Expose Formio configuration functions
    setBaseUrl: _sdk.Formio.setBaseUrl,
    getBaseUrl: _sdk.Formio.getBaseUrl,
    setApiUrl: _sdk.Formio.setBaseUrl,
    getApiUrl: _sdk.Formio.getBaseUrl,
    setAppUrl: _sdk.Formio.setAppUrl,
    setProjectUrl: _sdk.Formio.setProjectUrl,
    getAppUrl: _sdk.Formio.getAppUrl,
    getProjectUrl: _sdk.Formio.getProjectUrl,
    registerPlugin: _sdk.Formio.registerPlugin,
    getPlugin: _sdk.Formio.getPlugin,
    providers: _sdk.Formio.providers,
    setDomain: function setDomain() {
      // Remove this?
    },
    setPathType: _sdk.Formio.setPathType,
    $get: ['$rootScope', '$q', function ($rootScope, $q) {
      var wrapQPromise = function wrapQPromise(promise) {
        return $q.when(promise).catch(function (error) {
          if (error === 'Unauthorized') {
            $rootScope.$broadcast('formio.unauthorized', error);
          } else if (error === 'Login Timeout') {
            $rootScope.$broadcast('formio.sessionExpired', error);
          }
          // Propagate error
          throw error;
        });
      };
      _sdk.Formio.registerPlugin({
        priority: -100,
        // Wrap Formio.request's promises with $q so $apply gets called correctly.
        wrapRequestPromise: wrapQPromise,
        wrapStaticRequestPromise: wrapQPromise
      }, 'ngFormioPromiseWrapper');

      // Call a safe apply.
      var safeApply = function safeApply(fn) {
        var phase = $rootScope.$root.$$phase;
        if (phase == '$apply' || phase == '$digest') {
          if (fn && typeof fn === 'function') {
            fn();
          }
        } else {
          $rootScope.$apply(fn);
        }
      };

      // Broadcast offline even@fts from $rootScope
      _sdk.Formio.events.on('*', function () {
        var event = 'formio.' + this.event;
        var args = [].splice.call(arguments, 0);
        args.unshift(event);
        try {
          safeApply(function () {
            $rootScope.$broadcast.apply($rootScope, args);
          });
        } catch (err) {
          console.log(err);
        }
      });

      // Return the formio interface.
      return _sdk.Formio;
    }]
  };
});